GCLOUD_CONTAINER_CLUSTERS_UPGRADE(1)

NAME

gcloud container clusters upgrade - upgrade the Kubernetes version of an existing container cluster

SYNOPSIS

gcloud container clusters upgrade NAME [--async] [--cluster-version=CLUSTER_VERSION] [--image-type=IMAGE_TYPE] [--master] [--node-pool=NODE_POOL] [--zone=ZONE, -z ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Upgrades the Kubernetes version of an existing container cluster. This command upgrades the Kubernetes version of the nodes of a cluster. The Kubernetes version of the cluster's master is periodically upgraded automatically as new releases are available. By running this command, all of the cluster's nodes will be deleted and recreated one at a time. While persistent Kubernetes resources, such as pods backed by replication controllers, will be rescheduled onto new nodes, a small cluster may experience a few minutes where there are insufficient nodes available to run all of the scheduled Kubernetes resources. Please ensure that any data you wish to keep is stored on a persistent disk before upgrading the cluster. Ephemeral Kubernetes resources--in particular, pods without replication controllers--will be lost, while persistent Kubernetes resources will get rescheduled.

POSITIONAL ARGUMENTS

    NAME
        The name of the cluster to upgrade.

FLAGS

    --async
        Don't wait for the operation to complete.

    --cluster-version=CLUSTER_VERSION
        The Kubernetes release version to which to upgrade the cluster's nodes. If provided, the --cluster-version must be no greater than the cluster master's minor version (x.X.x), and must be a latest patch version (x.x.X). You can find the list of allowed versions for upgrades by running:
        $ gcloud container get-server-config

    --image-type=IMAGE_TYPE
        The image type to use for the cluster/node pool. Defaults to server-specified. Image Type specifies the base OS that the nodes in the cluster/node pool will run on. If an image type is specified, that will be assigned to the cluster/node pool and all future upgrades will use the specified image type. If it is not specified the server will pick the default image type. The default image type and the list of valid image types are available using the following command.
        $ gcloud container get-server-config

    --master
        Upgrade the cluster's master to the latest version of Kubernetes supported on Container Engine. Nodes cannot be upgraded at the same time as the master.

    --node-pool=NODE_POOL
        The node pool to upgrade.

    --zone=ZONE, -z ZONE
        The compute zone (e.g. us-central1-a) for the cluster. Overrides the default compute/zone property value for this command invocation.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
Upgrade the nodes of <cluster> to the Kubernetes version of the cluster's master.
    $ gcloud container clusters upgrade <cluster>
Upgrade the nodes of <cluster> to Kubernetes version x.y.z.
    $ gcloud container clusters upgrade <cluster> \
        --cluster-version "x.y.z"